"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildSSRApp = void 0;
const vite_1 = require("vite");
const path = require("path");
async function buildSSRApp(config, options) {
    const rootDir = config.root || '.';
    const ssrBuildConfig = (0, vite_1.mergeConfig)(config, {
        build: {
            ssr: true,
            rollupOptions: {
                input: options?.entryServer || path.resolve(rootDir, './src/main.server.ts'),
            },
            outDir: options?.ssrBuildDir || path.resolve('dist', rootDir, 'ssr'),
        },
    });
    await (0, vite_1.build)(ssrBuildConfig);
}
exports.buildSSRApp = buildSSRApp;
//# sourceMappingURL=build-ssr.js.map