"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runConfigAndCloseBundle = exports.mockBuildFunctions = exports.mockNitroConfig = exports.mockViteDevServer = void 0;
const vitest_1 = require("vitest");
const path = require("path");
exports.mockViteDevServer = {
    middlewares: {
        // eslint-disable-next-line @typescript-eslint/no-empty-function
        use: () => { },
    },
};
exports.mockNitroConfig = {
    buildDir: path.resolve('./dist/.nitro'),
    handlers: [],
    logLevel: 0,
    output: {
        dir: path.resolve('dist/analog'),
        publicDir: path.resolve('dist/analog/public'),
    },
    rootDir: '.',
    runtimeConfig: {},
    scanDirs: ['src/server'],
    srcDir: 'src/server',
    prerender: {
        crawlLinks: undefined,
    },
    typescript: {
        generateTsConfig: false,
    },
    rollupConfig: {
        plugins: [
            {
                name: 'analogjs-vite-plugin-nitro-rollup-page-endpoint',
                transform() { },
            },
        ],
    },
};
async function mockBuildFunctions() {
    const buildServerImport = await Promise.resolve().then(() => require('./build-server'));
    const buildServerImportSpy = vitest_1.vi.fn();
    buildServerImport.buildServer = buildServerImportSpy;
    const buildSSRAppImport = await Promise.resolve().then(() => require('./build-ssr'));
    const buildSSRAppImportSpy = vitest_1.vi.fn();
    buildSSRAppImport.buildSSRApp = buildSSRAppImportSpy;
    const buildSitemapImport = await Promise.resolve().then(() => require('./build-sitemap'));
    const buildSitemapImportSpy = vitest_1.vi.fn();
    buildSitemapImport.buildSitemap = buildSitemapImportSpy;
    return { buildSSRAppImportSpy, buildServerImportSpy, buildSitemapImportSpy };
}
exports.mockBuildFunctions = mockBuildFunctions;
async function runConfigAndCloseBundle(plugin) {
    await plugin[1].config({}, { command: 'build' });
    await plugin[1].closeBundle();
}
exports.runConfigAndCloseBundle = runConfigAndCloseBundle;
//# sourceMappingURL=vite-nitro-plugin.spec.data.js.map